axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andreas Veithen (JIRA)" <j...@apache.org>
Subject [jira] Created: (AXIS2-4788) axis2-jibx has conflicting bcel dependencies
Date Sun, 01 Aug 2010 20:20:16 GMT
axis2-jibx has conflicting bcel dependencies
--------------------------------------------

                 Key: AXIS2-4788
                 URL: https://issues.apache.org/jira/browse/AXIS2-4788
             Project: Axis2
          Issue Type: Bug
            Reporter: Andreas Veithen
            Priority: Minor
             Fix For: 1.6, 1.5.2


Here is the dependency tree of axis2-jibx:

[INFO] [dependency:tree]
[INFO] org.apache.axis2:axis2-jibx:jar:SNAPSHOT
[INFO] +- org.apache.axis2:axis2-kernel:jar:SNAPSHOT:compile
[INFO] |  +- org.apache.ws.commons.axiom:axiom-api:jar:1.2.10-SNAPSHOT:compile
[INFO] |  |  +- org.apache.geronimo.specs:geronimo-activation_1.1_spec:jar:1.0.2:compile
[INFO] |  |  +- org.apache.geronimo.specs:geronimo-javamail_1.4_spec:jar:1.6:compile
[INFO] |  |  +- jaxen:jaxen:jar:1.1.1:compile
[INFO] |  |  \- org.apache.geronimo.specs:geronimo-stax-api_1.0_spec:jar:1.0.1:compile
[INFO] |  +- org.apache.ws.commons.axiom:axiom-impl:jar:1.2.10-SNAPSHOT:compile
[INFO] |  |  \- org.codehaus.woodstox:wstx-asl:jar:3.2.9:compile
[INFO] |  +- org.apache.ws.commons.axiom:axiom-dom:jar:1.2.10-SNAPSHOT:compile
[INFO] |  +- org.apache.geronimo.specs:geronimo-ws-metadata_2.0_spec:jar:1.1.2:compile
[INFO] |  +- org.apache.geronimo.specs:geronimo-jta_1.1_spec:jar:1.1:compile
[INFO] |  +- javax.servlet:servlet-api:jar:2.3:compile
[INFO] |  +- commons-httpclient:commons-httpclient:jar:3.1:compile
[INFO] |  |  \- commons-codec:commons-codec:jar:1.3:compile (version managed from 1.2)
[INFO] |  +- commons-fileupload:commons-fileupload:jar:1.2:compile
[INFO] |  +- wsdl4j:wsdl4j:jar:1.6.2:compile
[INFO] |  +- org.apache.ws.commons.schema:XmlSchema:jar:1.4.6:compile
[INFO] |  +- org.apache.neethi:neethi:jar:3.0.0-SNAPSHOT:compile
[INFO] |  +- org.apache.woden:woden-api:jar:1.0-SNAPSHOT:compile
[INFO] |  +- org.apache.woden:woden-impl-dom:jar:1.0-SNAPSHOT:compile
[INFO] |  |  \- org.apache.woden:woden-impl-commons:jar:1.0-SNAPSHOT:compile
[INFO] |  +- commons-logging:commons-logging:jar:1.1.1:compile
[INFO] |  \- javax.ws.rs:jsr311-api:jar:1.0:compile
[INFO] +- org.apache.axis2:axis2-transport-http:jar:SNAPSHOT:compile
[INFO] |  \- org.apache.httpcomponents:httpcore:jar:4.0:compile
[INFO] +- org.apache.axis2:axis2-transport-local:jar:SNAPSHOT:compile
[INFO] +- org.apache.axis2:axis2-codegen:jar:SNAPSHOT:compile
[INFO] |  \- org.apache.axis2:axis2-adb:jar:SNAPSHOT:compile
[INFO] +- org.jibx:jibx-bind:jar:1.2:compile
[INFO] |  \- bcel:bcel:jar:5.1:compile
[INFO] +- org.jibx:jibx-run:jar:1.2:compile
[INFO] +- org.apache.bcel:bcel:jar:5.2:compile
[INFO] |  \- jakarta-regexp:jakarta-regexp:jar:1.4:compile
[INFO] +- org.apache.ant:ant:jar:1.7.0:compile
[INFO] +- org.apache.ant:ant-launcher:jar:1.7.0:compile
[INFO] \- junit:junit:jar:4.4:test

As one can see, there are two conflicting dependencies on bcel:
* A direct dependency on org.apache.bcel:bcel:jar:5.2.
* A transitive dependency on bcel:bcel:jar:5.1 (via org.jibx:jibx-bind:jar:1.2).

Note that the one with groupId org.apache.bcel is later excluded from the distribution (see
the bin-assembly.xml file).

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@axis.apache.org
For additional commands, e-mail: java-dev-help@axis.apache.org


Mime
View raw message